package EventType

type EventType int32

const (
	PageForIndex          EventType = 1
	PageForRecommendMenu  EventType = 2
	PageForPlayItemMenu   EventType = 3
	PageForPerformMenu    EventType = 4
	PageForServiceMenu    EventType = 5
	PageForRestaurantMenu EventType = 6
	TouchAnnotation       EventType = 7
	TouchShopMenu         EventType = 8
	TouchMyMenu           EventType = 9
	TouchComplaintMenu    EventType = 10
)

func (o EventType) String() string {
	switch (o) {
	case PageForIndex:
		return "首页"
	case PageForRecommendMenu:
		return "推荐"
	case PageForPlayItemMenu:
		return "游玩项目"
	case PageForPerformMenu:
		return "演出活动"
	case PageForServiceMenu:
		return "服务设施"
	case PageForRestaurantMenu:
		return "餐饮购物"
	case TouchAnnotation:
		return "点击建筑图标"
	case TouchShopMenu:
		return "点击商店"
	case TouchMyMenu:
		return "点击个人中心"
	case TouchComplaintMenu:
		return "点击投诉&意见"
	default:
		return "UNKNOWN"
	}
}
