
## 乐游图后端接口文档
| Specification | Value |
|-----|-----|
| API Version | 1.0.0 |
| BasePath | https://letu.api.imagchina.com |



### API List
1. [查询所有商品](#allcommodity-get)
1. [设备管理 - 获得所有设备的等待时间](#allitemtime-get)
1. [设备管理 - 查询所有游玩项目](#allitems-get)
1. [查询所有线路](#allline-get)
1. [所有景区基础信息](#allscenic-get)
1. [查询商品信息](#commodityinfo-get)
1. [增加投诉](#createcomplaint-post)
1. [查询用户的定时提醒](#dealymessage-info-get)
1. [创建提醒](#dealymessage-create-post)
1. [删除提醒](#dealymessage-remove-post)
1. [增加访问日志](#eventlog-post)
1. [增加调查](#investigation-save-post)
1. [设备管理 - 查询设备信息](#iteminfo-get)
1. [查询线路信息](#lineinfo-get)
1. [用户管理 - 用户登录&注册](#loginuser-post)
1. [返回景区基础信息](#scenicinfo-get)
1. [发送短信验证码](#sms-send-post)
1. [标签列表](#tags-get)
1. [保存用户移动轨迹](#trajectory-save-post)
1. [更新商品](#updatecommodity-post)
1. [设备管理 - 更新设施](#updateitem-post)
1. [设备管理 - 更新等待时间](#updateitemtime-post)
1. [更新线路](#updateline-post)
1. [更新景区基础信息](#updatescenic-post)
1. [用户管理 - 修改用户信息](#updateuser-post)
1. [上传](#upload-post)
1. [用户管理 - 获取用户信息](#userinfo-get)



<a name="allcommodity-get"></a>

#### /AllCommodity (GET)


查询所有商品

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Price=价格；ShopName=店铺名称；KvPhoto用于列表页的图片；TopPhoto详情页最上面的轮播图；Images详情页下面的产品详细图 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="allitemtime-get"></a>

#### /AllItemTime (GET)


设备管理 - 获得所有设备的等待时间

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {5df864740a9ac17ac7a7feb8: '20',.....} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {} |



<a name="allitems-get"></a>

#### /AllItems (GET)


设备管理 - 查询所有游玩项目

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Tags所属标签，标签有分类；LimitHeight限高；PlayDuration游玩时长；SceneTime场次时间；Picture照片；Voice音频；AverageConsumption平均消费；Menu菜单 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="allline-get"></a>

#### /AllLine (GET)


查询所有线路

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；SubName副标题；PlayDuration游玩时长；Suitable适合人群；Location线路点坐标；Annotations需要点亮的设施id；Distance距离 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="allscenic-get"></a>

#### /AllScenic (GET)


所有景区基础信息

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="commodityinfo-get"></a>

#### /CommodityInfo (GET)


查询商品信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Price=价格；ShopName=店铺名称；KvPhoto用于列表页的图片；TopPhoto详情页最上面的轮播图；Images详情页下面的产品详细图 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="createcomplaint-post"></a>

#### /CreateComplaint (POST)


增加投诉

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| Mobile | 18616619599    | string | 联系电话 | Yes |
| Name | 高先生    | string | 姓名 | Yes |
| Code | 123456    | string | 验证码 | Yes |
| Sex | 男    | string | 性别 | Yes |
| ScenicId | 5e1ed07524e03431008b4572    | string | 景区id | Yes |
| Type | 1    | string | 类型 | Yes |
| Content | 卫生不干净    | string | 投诉内容 | Yes |
| Image | ["http://www.xx.com/123.jpg","http://www.xx.com/123.jpg"]    | string | 照片数组 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="dealymessage-info-get"></a>

#### /DealyMessage/Info (GET)


查询用户的定时提醒

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 5dfb03070a9ac17ac7a82054    | string | 用户id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | DelayTime=执行时间;Type=类型(0请求url地址1发送app通知);Fail失败次数;Title=通知标题;Content=通知内容;UDID=设备id |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |


<a name="dealymessage-create-post"></a>

#### /DealyMessage/Create (POST)


创建提醒

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 5dfb03070a9ac17ac7a82054    | string | 用户id | Yes |
| UDID | 5dfb03070a9ac17ac7a82054    | string | 设备id | Yes |
| Title | 表演时间提醒    | string | 标题 | Yes |
| Content | 5分钟后有表演    | string | 内容 | Yes |
| DelayTime | 1579066863    | string | 到达这个时间戳就执行 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |


<a name="dealymessage-remove-post"></a>

#### /DealyMessage/Remove (POST)


删除提醒

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 提醒id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="eventlog-post"></a>

#### /EventLog (POST)


增加访问日志

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 5dfb03070a9ac17ac7a82054    | string | 用户ID | Yes |
| UserName | Aaron    | string | 用户名称 | Yes |
| TypeNum | 9    | int | 类型编号 | Yes |
| TypeName | 点击个人中心    | string | 类型名称 | Yes |
| DateTime | 1578556751220    | int | 时间戳 | Yes |
| Location | {"Latitude": 119, "Longitude": 39}    | string | 位置 | Yes |
| Remarks | 备注    | string | 备注 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="investigation-save-post"></a>

#### /Investigation/Save (POST)


增加调查

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 1111111    | string | UserId | Yes |
| Mobile | 18616619599    | string | 联系电话 | Yes |
| type | 1    | string | 类型 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="iteminfo-get"></a>

#### /ItemInfo (GET)


设备管理 - 查询设备信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 设备id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Name":"名称","Describe":"介绍","OpenHours":"开放时间","Mobile":"电话","Address":"地址","SLocation":{"Latitude":0,"Longitude":0},"Picture":["照片1","照片2"]}} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="lineinfo-get"></a>

#### /LineInfo (GET)


查询线路信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；SubName副标题；PlayDuration游玩时长；Suitable适合人群；Location线路点坐标；Annotations需要点亮的设施id；Distance距离 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="loginuser-post"></a>

#### /LoginUser (POST)


用户管理 - 用户登录&注册

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| Mobile | aaron    | string | 手机号 | Yes |
| Code | 1    | string | 验证码(使用验证码的新手机号自动注册) | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Id":"5e09c64c1c09c6f0f7ca2fa9","Token":"640bf934e425aba5d3c90998b2641f2f0ca07261d334d9615d1cd4790b5f34e7"}} 调用其它需要登陆的接口时携带token,有过期时间 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="scenicinfo-get"></a>

#### /ScenicInfo (GET)


返回景区基础信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 景区id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；Describe介绍；OpenHours营业时间；Picture最上面图片；ShopAdPicture商城列表页图片；ItemScenicPicture项目场次照片；ActivityPicture活动照片；VideoList视频(VideoPicture=首桢图片) |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="sms-send-post"></a>

#### /Sms/Send (POST)


发送短信验证码

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| Mobile | 18616619599    | string | 手机号 | Yes |
| Location | {"Latitude": 119, "Longitude": 39}    | string | 位置 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"}验证码1分钟内有效 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="tags-get"></a>

#### /Tags (GET)


标签列表

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":[{"Type":"menu","Name":"服务设施"},{"Type":"normal","Name":"不错"},{"Type":"thrilling","Name":"刺激"},{"Type":"recommend","Name":"必玩"}]} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="trajectory-save-post"></a>

#### /Trajectory/Save (POST)


保存用户移动轨迹

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| UserId | 5dfb03070a9ac17ac7a82054    | string | 用户id | Yes |
| Location | {"Latitude": 119, "Longitude": 39}    | string | 经纬度 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updatecommodity-post"></a>

#### /UpdateCommodity (POST)


更新商品

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updateitem-post"></a>

#### /UpdateItem (POST)


设备管理 - 更新设施

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Tags所属标签，标签有分类；LimitHeight限高；PlayDuration游玩时长；SceneTime场次时间；Picture照片；Voice音频；AverageConsumption平均消费；Menu菜单 |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updateitemtime-post"></a>

#### /UpdateItemTime (POST)


设备管理 - 更新等待时间

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| item | [{"id":"5df864740a9ac17ac7a7feb8","time":"20"},{"id":"5df8660924e03417008b4567","time":"33"}]    | string | 设备列表 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {errcode: 0, result: "ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updateline-post"></a>

#### /UpdateLine (POST)


更新线路

| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) |  |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updatescenic-post"></a>

#### /UpdateScenic (POST)


更新景区基础信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | 5dfb03070a9ac17ac7a82054    | string | 景区id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | Name名称；Describe介绍；OpenHours营业时间；Picture最上面图片；ShopAdPicture商城列表页图片；ItemScenicPicture项目场次照片；ActivityPicture活动照片；VideoList视频(VideoPicture=首桢图片) |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="updateuser-post"></a>

#### /UpdateUser (POST)


用户管理 - 修改用户信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| Birthday | 2010.10.10    | string | 生日 | Yes |
| FullName | aarongao    | string | 全名 | Yes |
| Code | 12345678    | string | 6位验证码 | Yes |
| Mobile | 18616619599    | string | 手机,同用户名 | Yes |
| Sex | 男    | string | 性别 | Yes |
| Openid | 12345    | string | 微信id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"ok"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="upload-post"></a>

#### /Upload (POST)


上传

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| file | 1    | file | 文件 | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":"图片地址"} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |



<a name="userinfo-get"></a>

#### /UserInfo (GET)


用户管理 - 获取用户信息

| Param Name | Example | Data Type | Description | Required? |
|-----|-----|-----|-----|-----|
| id | aaron    | string | 用户id | Yes |


| Code | Type | Model | Message |
|-----|-----|-----|-----|
| 200 | object | [ResponseSeccess](#github.com.aarongao.tools.ResponseSeccess) | {"errcode":0,"result":{"Id":"5e09c64c1c09c6f0f7ca2fa9","Token":"640bf934e425aba5d3c90998b2641f2f0ca07261d334d9615d1cd4790b5f34e7"}} |
| 500 | object | [ResponseError](#github.com.aarongao.tools.ResponseError) | {"errcode":1,"errmsg":"错误原因"} |


